<?php
/**
 *
 * Copyright 2009 Didier BLANQUI
 *
 * This file is part of plugin_sso_table, a plugin for GEPI.
 *
 * plugin_sso_table is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * plugin_sso_table is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with plugin_sso_table; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/** On empche un accs direct par url */
if (!isset($_SESSION['login'])) {
  Die('Fichier interdit !');
}

require_once ("Controleur.php");
require_once("ImportModele.php");
class MajCtrl extends Controleur {
  function index () {

    $this->vue->LoadTemplate('maj.php');
    $this->vue->show();

  }
  function search () {
    try {
      $this->nom=$_POST['nom'];
      $data=new ImportModele();
      $this->search_result=$data->search($this->nom);
      if(!$this->search_result)throw new exception("Aucun utilisateur correspondant  vos critres de recherche n'existe dans Gpi avec son compte paramtr en sso");
      $this->vue->LoadTemplate('result_search.php');
      $this->vue->MergeBlock('b1',$this->search_result) ;
      $this->vue->show();

    }catch (Exception $e) {
      $this->vue->LoadTemplate('exceptions.php');
      $this->mess[]=Array('mess'=>$e->getMessage());
      $this->vue->MergeBlock('b1',$this->mess) ;
      $this->vue->Show() ;

    }
  }
  function update() {
    try {
      $this->login_gepi=$_GET['login_gepi'];
      $data=new ImportModele();
      $this->login_sso=$data->get_login_sso_table_sso($this->login_gepi);
      $this->vue->LoadTemplate('update.php');
      $this->var[]=Array('login_gepi'=>$this->login_gepi,'login_sso'=>$this->login_sso);
      $this->vue->MergeBlock('b1',$this->var) ;
      $this->vue->show();
    }catch (Exception $e) {
      $this->vue->LoadTemplate('exceptions.php');
      $this->mess[]=Array('mess'=>$e->getMessage());
      $this->vue->MergeBlock('b1',$this->mess) ;
      $this->vue->Show() ;

    }

  }
  function updated() {
    try {
      $this->login_gepi=$_POST['login_gepi'];
      $this->login_sso=$_POST['login_sso'];
      if($this->login_sso=="")throw new Exception ('Vous devez entrer une valeur pour la correspondance');
      $data=new ImportModele();
      if($data->verif_exist_login_sso($this->login_sso)) throw new Exception ('Une entre existe dja avec ce login sso; mise  jour impossible');
      if($data->get_login_sso_table_sso($this->login_gepi)) $this->mode='update';
      else $this->mode='insert';
      $data->maj_sso_table($this->login_gepi,$this->login_sso,$this->mode);
      $this->vue->LoadTemplate('updated.php');
      $this->var[]=Array('login_gepi'=>$this->login_gepi,'login_sso'=>$this->login_sso);
      $this->vue->MergeBlock('b1',$this->var) ;
      $this->vue->show();
    }catch (Exception $e) {
      $this->vue->LoadTemplate('exceptions.php');
      $this->mess[]=Array('mess'=>$e->getMessage());
      $this->vue->MergeBlock('b1',$this->mess) ;
      $this->vue->Show() ;

    }

  }
}
?>